language: c
compiler:
- clang
- gcc
before_install: sudo apt-get update
install: sudo apt-get install valgrind perl
script:
- cmake -D CMAKE_BUILD_TYPE:String="Check" .
- make
- make test
- ( cd tests && ./compat.sh )
- ( cd tests && ./ssl-opt.sh )
- tests/scripts/test-ref-configs.pl
env:
  global:
    secure: "barHldniAfXyoWOD/vcO+E6/Xm4fmcaUoC9BeKW+LwsHqlDMLvugaJnmLXkSpkbYhVL61Hzf3bo0KPJn88AFc5Rkf8oYHPjH4adMnVXkf3B9ghHCgznqHsAH3choo6tnPxaFgOwOYmLGb382nQxfE5lUdvnM/W/psQjWt66A1+k="

addons:
  coverity_scan:
    project:
      name: "ARMmbed/mbedtls"
      description: "mbed TLS Open Source SSL Library"
    notification_email: p.j.bakker@polarssl.org
    build_command_prepend:
    build_command: make
    branch_pattern: coverity_scan
